#ifndef _calibration_edit_dialog_h__
#define _calibration_edit_dialog_h__

#include <QDialog>
#include <QPushButton>
#include <QLineEdit>
#include <QLabel>
#include <QList>
#include <QDoubleValidator>
#include "ConfigCheckbox.h"
#include "TenkiDevice.h"

//#include "UnitsDropDown.h"

class CalibrationEditDialog : public QDialog
{
	Q_OBJECT

	public:
		CalibrationEditDialog(QWidget *parent = 0, TenkiDevice *td = NULL, int channel_id = 0);
		~CalibrationEditDialog();

		bool calibrationDisabled();

	private slots:
		void applyClose(void);
		void close(void);
		void clearPointClicked(int);

	private:
		double textToCalpointValue(QString text);

		TenkiDevice *tenki_device;

		QList<QLabel*> lbl_points;
		QList<QLineEdit*> lst_le_sensed;
		QList<QLineEdit*> lst_le_calibrated;
		QLabel *lbl_sensed;
		QLabel *lbl_calibrated;
		ConfigCheckbox *cb_disable;
		QPushButton *btn_ok, *btn_cancel;
		int chnid;
		bool calibration_disabled;
};

#endif // _calibration_edit_dialog_h__

